Skip to main content
GET
/
api
/
admins
/
emails
cURL
curl --request GET \
  --url https://recoup-api.vercel.app/api/admins/emails \
  --header 'x-api-key: <api-key>'
{
  "status": "success",
  "emails": [
    {
      "id": "<string>",
      "from": "<string>",
      "to": [
        "<string>"
      ],
      "subject": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "last_event": "bounced",
      "cc": [
        "<string>"
      ],
      "bcc": [
        "<string>"
      ],
      "reply_to": [
        "<string>"
      ],
      "html": "<string>",
      "text": "<string>",
      "scheduled_at": "2023-11-07T05:31:56Z",
      "tags": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ]
}

Authorizations

x-api-key
string
header
required

Your Recoup API key. Learn more.

Query Parameters

account_id
string<uuid>

The account ID to fetch all emails for. Required if email_id is not provided.

email_id
string

A Resend email ID to fetch a single email. Required if account_id is not provided.

Response

Emails retrieved successfully

Response containing Resend emails sent for an account

status
enum<string>
required

Status of the request

Available options:
success,
error
emails
object[]
required

List of emails sent for the account, ordered by created_at descending